Subject: bug#36865: Guix gc breaks grub

From: "Xavier Montillet" <[email-masked]>
Date: Sat, 24 Aug 2019 15:07:01 +0000

Hi,

Jul 26 2019 23:55:23   d23a00b599be56694065bd274184b9289fb8b85c
Jul 29 2019 11:32:04   ab20b3ed9152c7c95d0d2c6b2d65e29983ab57ce
Jul 29 2019 23:52:32   18c4b0a27705773e423fb17310394204b7295d4a
Jul 30 2019 before 22:03      nckx saves me (last messages of http://logs.guix.gnu.org/guix/2019-07-30.log)
Jul 30 2019 22:03      I send the bug report (first message of http://logs.guix.gnu.org/guix/2019-07-31.log)
Jul 31 2019 9:21      Ricardo responds to my bug report telling me to guix reconfigure
Jul 31 2019 09:30:31   bab94ffa0e27e39c02d5ce3add5605b676b76bee
Jul 31 2019 21:05      I send the email saying that Grub is no longer marked as dead after guix pulling
Jul 31 2019 13:31:40   716908411b4d393ec82d5b7e40c9817e81c8fa95
 Aug 01 2019 09:12:52   e7dfbae8a99995abc9f088452ca35371d38eb343

So I would say that the bug was in18c4b0a27705773e423fb17310394204b7295d4a and was fixed before (or in) bab94ffa0e27e39c02d5ce3add5605b676b76bee.

Xavier

On Sat, Aug 24, 2019, at 2:04 PM, Ludovic Courtès wrote:
> Hello,
> 
> "Xavier Montillet" <[email-masked]> skribis:
> 
> > All I can say for sure is that the bug was in the guix pull'ed version at some point in the week leading to July 31 (and most likely on July 30), and that the bug is no longer in the version of July 31 evening.
> 
> Could you run ‘guix pull -l 1m’ (for this specific ‘guix’ command) to
> see exactly what the commits were for these two generations?
> 
> Thanks in advance,
> Ludo’.
>